Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.dependency
Class AbstractKernelController

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.dependency.plugins.AbstractController
              org.jboss.kernel.plugins.dependency.AbstractKernelController

All Implemented Interfaces:
  Cloneable, org.jboss.dependency.spi.Controller, org.jboss.util.JBossInterface, KernelController, KernelEventEmitter, KernelObject, KernelRegistryPlugin

public class AbstractKernelController
extends org.jboss.dependency.plugins.AbstractController
implements KernelController, KernelRegistryPlugin

Abstract Kernel controller.

Version:
  $Revision: 1.22 $
Author:
  Adrian Brock

Field Summary
`protected AbstractEventEmitter` | `emitterDelegate` The emitter delegate
`protected Kernel` | `kernel` The kernel
`protected Map` | `suppliers` The supplies

Fields inherited from class org.jboss.dependency.plugins.AbstractController
`allContexts, contextsByState, errorContexts, installing, onDemandEnabled, states`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractKernelController()` Create an abstract kernel controller

Method Summary
`void` | `addSupplies(KernelControllerContext context)` Add supplies
`void` | `fireKernelEvent(KernelEvent event)` Fire an event
`org.jboss.dependency.spi.ControllerContext` | `getContext(Object name, org.jboss.dependency.spi.ControllerState state)`
`KernelRegistryEntry` | `getEntry(Object name)` Get a registration
`Kernel` | `getKernel()` Get the kernel
`KernelControllerContext` | `install(BeanMetaData metaData)` Install a context
`void` | `registerListener(KernelEventListener listener, KernelEventFilter filter, Object handback)` Register a listener
`void` | `removeSupplies(KernelControllerContext context)` Remove supplies
`void` | `setKernel(Kernel kernel)` Set the kernel.
`void` | `unregisterListener(KernelEventListener listener, KernelEventFilter filter, Object handback)` Unregister a listener

Methods inherited from class org.jboss.dependency.plugins.AbstractController
`addState, advance, change, change, enableOnDemand, enableOnDemand, getInstalledContext, getNotInstalled, getStates, incrementState, install, install, install, resolveContexts, resolveContexts, resolveContexts, uninstall, uninstall, uninstallContext, uninstallContext`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toShortString, toString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.dependency.spi.Controller
`addState, change, enableOnDemand, getInstalledContext, getNotInstalled, getStates, install, uninstall`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Field Detail

### kernel

    protected Kernel kernel

  The kernel

### emitterDelegate

    protected AbstractEventEmitter emitterDelegate

  The emitter delegate

### suppliers

    protected Map suppliers

  The supplies

Constructor Detail

### AbstractKernelController

    public AbstractKernelController()
                             throws Exception

  Create an abstract kernel controller

Throws:
  `Exception` - for any error

Method Detail

### install

    public KernelControllerContext install(BeanMetaData metaData)
                                    throws Throwable

  Description copied from interface: `KernelController`
  Install a context

  Specified by:
    `install` in interface `KernelController`
  Parameters:
    `metaData` - the metaData
  Returns:
    the context
  Throws:
    `Throwable` - for any error

### getEntry

    public KernelRegistryEntry getEntry(Object name)

  Description copied from interface: `KernelRegistryPlugin`
  Get a registration

  Specified by:
    `getEntry` in interface `KernelRegistryPlugin`
  Parameters:
    `name` - the name of the object
  Returns:
    the registration

### getContext

    public org.jboss.dependency.spi.ControllerContext getContext(Object name,
                                                                 org.jboss.dependency.spi.ControllerState state)

  Specified by:
    `getContext` in interface `org.jboss.dependency.spi.Controller`

### addSupplies

    public void addSupplies(KernelControllerContext context)

  Description copied from interface: `KernelController`
  Add supplies

  Specified by:
    `addSupplies` in interface `KernelController`
  Parameters:
    `context` - the context

### removeSupplies

    public void removeSupplies(KernelControllerContext context)

  Description copied from interface: `KernelController`
  Remove supplies

  Specified by:
    `removeSupplies` in interface `KernelController`
  Parameters:
    `context` - the context

### getKernel

    public Kernel getKernel()

  Description copied from interface: `KernelObject`
  Get the kernel

  Specified by:
    `getKernel` in interface `KernelObject`
  Returns:
    the kernel

### setKernel

    public void setKernel(Kernel kernel)
                   throws Throwable

  Description copied from interface: `KernelObject`
  Set the kernel.

  Specified by:
    `setKernel` in interface `KernelObject`
  Parameters:
    `kernel` - the kernel
  Throws:
    `Throwable` - for any error

### fireKernelEvent

    public void fireKernelEvent(KernelEvent event)

  Description copied from interface: `KernelEventEmitter`
  Fire an event

  Specified by:
    `fireKernelEvent` in interface `KernelEventEmitter`
  Parameters:
    `event` - the event

### registerListener

    public void registerListener(KernelEventListener listener,
                                 KernelEventFilter filter,
                                 Object handback)
                          throws Throwable

  Description copied from interface: `KernelEventEmitter`
  Register a listener

  Specified by:
    `registerListener` in interface `KernelEventEmitter`
  Parameters:
    `listener` - the listener
    `filter` - the filter
    `handback` - the handback object
  Throws:
    `Throwable` - for any error

### unregisterListener

    public void unregisterListener(KernelEventListener listener,
                                   KernelEventFilter filter,
                                   Object handback)
                            throws Throwable

  Description copied from interface: `KernelEventEmitter`
  Unregister a listener

  Specified by:
    `unregisterListener` in interface `KernelEventEmitter`
  Parameters:
    `listener` - the listener
    `filter` - the filter
    `handback` - the handback object
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.